library(ggplot2)
library(tidyr)
library(scales)

#faili sisselugemine ja andmete formaadi korrigeerimine
J222=read.csv("PT2-T2.2-J2.2.2.csv",header=TRUE, encoding ="UTF-8")
J222=pivot_longer(J222,c("Poisid","Tüdrukud"))
names(J222)=c("Aasta","Sugu","Protsent")
J222$Aasta=as.factor(J222$Aasta)


#joonis
ggplot(J222,aes(x=Aasta,y=Protsent,col=Sugu))+
  geom_point(cex=3)+
  geom_line(aes(col=Sugu,group=Sugu),linewidth=1)+
  theme_minimal()+
  theme(legend.position = "bottom")+
  ylab("Noorte osakaal (%)")+
  scale_y_continuous(limits=c(0,50))+
  scale_color_manual(values=c("#6666cc","#FF3600"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))






